//
// C++ Implementation: chiddecolumns
//
// Description: 
//
//
// Author: Arne Schmitt <arne@as4m.de>, (C) 2007
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "chidecolumns.h"
#include <QTableView>

cHideColumns::cHideColumns(const QVector<int> &s,QTableView* t,QUndoCommand* parent): QUndoCommand(parent),spalten(s),tab(t)
{
	setText("Spalten entfernen");
}


cHideColumns::~cHideColumns()
{
}


void cHideColumns::undo()
{
	foreach(int i,spalten) tab->setColumnHidden(i,false);
}


void cHideColumns::redo()
{
	foreach(int i,spalten) tab->setColumnHidden(i,true);
}
