//
// C++ Implementation: crenamecolumn
//
// Description: 
//
//
// Author: Arne Schmitt <arne@as4m.de>, (C) 2007
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "crenamecolumn.h"
#include <QAbstractItemModel>

cRenameColumn::cRenameColumn(QAbstractItemModel *m,int s,const QString &on,const QString &nn,QUndoCommand* parent): QUndoCommand(parent),model(m),spalte(s),oldName(on),newName(nn)
{
	setText("Spalte umbenennen");
}


cRenameColumn::~cRenameColumn()
{
}


void cRenameColumn::redo()
{
	model->setHeaderData(spalte,Qt::Horizontal,newName);
}

void cRenameColumn::undo()
{
	model->setHeaderData(spalte,Qt::Horizontal,oldName);
}
