//
// C++ Interface: diagramadapter
//
// Description: 
//
//
// Author: Arne Schmitt <arne@as4m.de>, (C) 2007
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef DIAGRAMADAPTER_H
#define DIAGRAMADAPTER_H

#include <QString>

class Diagram;

/**
	@author Arne Schmitt <arne@as4m.de>
*/
class DiagramAdapter{
public:
    DiagramAdapter();

    virtual ~DiagramAdapter();

    // Interface
	virtual void setDiagram(Diagram *d)=0;
	virtual void setTitle(const QString &t)=0;
	virtual Diagram *diagram()=0;
	virtual void updateDiagram()=0;

};

#endif
