//
// C++ Interface: haeufigkeitsdiagrammadapter
//
// Description: 
//
//
// Author: Arne Schmitt <arne@as4m.de>, (C) 2006
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef HAEUFIGKEITSDIAGRAMADAPTER_H
#define HAEUFIGKEITSDIAGRAMADAPTER_H

#include <modeldiagramadapter.h>
#include <QVariant>

/**
	@author Arne Schmitt <arne@as4m.de>
*/
class HaeufigkeitsDiagramAdapter : public ModelDiagramAdapter
{
	Q_OBJECT
public:
    HaeufigkeitsDiagramAdapter(QWidget *parent=0);

    ~HaeufigkeitsDiagramAdapter();
    
    void setDepFilter(QString FilterWert,int Filter_Spalte);
    void setOutputFilter(const QVariant& fv);
    void setInputFilter(const QVariant& fv);
    
    virtual void saveData(QDataStream& s,int ver=1);
    virtual void loadData(QDataStream& s,int ver=1);
    
protected:
	virtual void processData(QVector<double>& d);
	QString filter_wert;
	QVariant input_filter,output_filter;
	int filter_spalte;

protected slots:
    virtual void updateDiagram();

protected slots:
    void depAction();
    void undepAction();
};

#endif
