//
// C++ Interface: haeufigkeitsmultidiagramadapter
//
// Description: 
//
//
// Author: Arne Schmitt <arne@as4m.de>, (C) 2006
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef HAEUFIGKEITSMULTIDIAGRAMADAPTER_H
#define HAEUFIGKEITSMULTIDIAGRAMADAPTER_H

#include <modelmultidiagramadapter.h>
#include <map>
#include <QVariant>

/**
	@author Arne Schmitt <arne@as4m.de>
*/
class HaeufigkeitsMultiDiagramAdapter : public ModelMultiDiagramAdapter
{
	Q_OBJECT
public:
    HaeufigkeitsMultiDiagramAdapter();

    ~HaeufigkeitsMultiDiagramAdapter();

    void setDepFilter(QString FilterWert,int Filter_Spalte);
    void setOutputFilter(const QVariant& fv);
    void setInputFilter(const QVariant& fv);
    
    virtual void saveData(QDataStream& s,int ver=1);
    virtual void loadData(QDataStream& s,int ver=1);
    
protected:
    virtual void processData(QVector<double>::iterator b,QVector<double>::iterator e);
    
    QString filter_wert;
    QVariant input_filter,output_filter;
    int filter_spalte;

protected slots:
    void depAction();
    void undepAction();
    virtual void updateDiagram();
    
};

#endif
